> ## Documentation Index
> Fetch the complete documentation index at: https://docs.shimli.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Send WhatsApp Business API

> TYPE_MESSAGE = ['text', 'image', 'video', 'document', 'audio']

*TYPE\_MESSAGE = \["text", "image", "video", "document", "audio"]*

\**Important: When sending a multimedia message (image, video, gif, audio, document) the body parameter must contain the URL of the file)*

Optional parameters

* caption *string* = Text when sending an image or video message

`POST` `/v1/whatsapp-api`

## Body

```json theme={null}
{
  "token": "{{token}}",
  "type": "{{type}}",
  "body": "Hi 👋!!",
  "to": "NUMBER_WHATSAPP",
  "instance": "{{instance}}"
}
```

## Autenticacion

Este endpoint requiere tu token de API. Incluyelo en el body como `token` o como query param `token`/`api-token`. Ve [Autenticacion](/getting-started/authentication) para mas detalles.

## Ejemplo de request

```bash theme={null}
curl -X POST https://api.shimli.app/v1/whatsapp-api \
  -H "Content-Type: application/json" \
  -d '{
    "token": "{{token}}",
    "type": "{{type}}",
    "body": "Hi 👋!!",
    "to": "NUMBER_WHATSAPP",
    "instance": "{{instance}}"
}'
```

## Respuesta
